﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.8
@EndOfDesignText@
#IgnoreWarnings:12
'Class Module
'<link>Javadoc|https://javadoc.io/static/org.apache.pdfbox/pdfbox/2.0.27/org/apache/pdfbox/printing/PDFPageable.html </link>
Sub Class_Globals
	'Private fx As JFX ' Uncomment if required. For B4j only

	Private Tjo As JavaObject
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

End Sub

'Creates a new PDFPageable.
Public Sub Create(Document As PDFDocument)
	'If a JavaObject has been passed, you may need to create it here and remove the parameter
	Tjo.InitializeNewInstance("org.apache.pdfbox.printing.PDFPageable",Array As Object(Document.GetObject))
End Sub

'Creates a new PDFPageable with the given page orientation.
'Orientation is One Of - AUTO, LANDSCAPE, PORTRAIT
Public Sub Create2(Document As PDFDocument, Orientation As String)
	'If a JavaObject has been passed, you may need to create it here and remove the parameter
	Tjo.InitializeNewInstance("org.apache.pdfbox.printing.PDFPageable",Array As Object(Document.GetObject, Orientation))
End Sub

'Returns the wrapped object as JavaObject
Public Sub AsJavaObject As JavaObject
	Return Tjo
End Sub
'*
Public Sub GetNumberOfPages As Int
	Return Tjo.RunMethod("getNumberOfPages",Null)
End Sub
'Returns the wrapped object as Object
Public Sub GetObject As Object
	Return Tjo
End Sub
'Returns the actual physical size of the pages in the PDF file.
Public Sub GetPageFormat(PageIndex As Int) As PageFormat
	Dim O As Object = Tjo.RunMethod("getPageFormat",Array As Object(PageIndex))
	Dim Wrapper As PageFormat
	If O = Null Then Return Wrapper
	Wrapper.Initialize
	Wrapper.SetObject(O)
	Return Wrapper
End Sub
'Get the rendering hints.
Public Sub GetRenderingHints As Object
	Return Tjo.RunMethod("getRenderingHints",Null)
End Sub
'Value indicating if the renderer is allowed to subsample images before drawing, according to image dimensions and requested scale.
Public Sub IsSubsamplingAllowed As Boolean
	Return Tjo.RunMethod("isSubsamplingAllowed",Null)
End Sub
'Set the rendering hints.
Public Sub SetRenderingHints(TRenderingHints As Object)
	Tjo.RunMethod("setRenderingHints",Array As Object(TRenderingHints))
End Sub
'Sets a value instructing the renderer whether it is allowed to subsample images before drawing.
Public Sub SetSubsamplingAllowed(SubsamplingAllowed As Boolean)
	Tjo.RunMethod("setSubsamplingAllowed",Array As Object(SubsamplingAllowed))
End Sub

'Comment if not needed
'Set the underlying Object, must be of correct type
Public Sub SetObject(Obj As Object)
	Tjo = Obj
End Sub

