﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.8
@EndOfDesignText@
Sub Class_Globals
	Private PDF As PDFDocument
	Private PJS As PrinterJobServiceSelection
	Private PD As PageDimensions
	Private mPrintRequestAttSet As PrintRequestAttributeSet
	Private mPrintServiceAttSet As PrintServiceAttributeSet
	Private mRequireFormFeed As Boolean = False
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	PD.Initialize(JavaxPrint_Utils.CMToPPI(21.0),JavaxPrint_Utils.CMToPPI(29.7))
	PJS.Initialize
End Sub

Public Sub setPrintRequestAttributeSet(PrintRequestAttSet As PrintRequestAttributeSet)
	mPrintRequestAttSet = PrintRequestAttSet
End Sub

Public Sub setPrintServiceAttributeSet(PrintServiceAttSet As PrintServiceAttributeSet)
	mPrintServiceAttSet = PrintServiceAttSet
End Sub

Public Sub SetPDFDocument(FilePath As String, FileName As String)
	PDF = PDFDocument_Static.Load(FilePath,FileName)
End Sub

Public Sub setRequireFormFeed(Require As Boolean)
	mRequireFormFeed = Require
End Sub

'Set the required page size in MM
Public Sub SetPageSize(Width As Double, Height As Double)
	PD.Width = JavaxPrint_Utils.MMToPPI(Width)
	PD.Height = JavaxPrint_Utils.MMToPPI(Height)
End Sub


Public Sub Print As ResumableSub
	Dim Result,FFResult As String
	
	Dim Message As String = PJS.FindService(mPrintServiceAttSet, mPrintRequestAttSet, PD)
	If Message <> "" Then Return Message
	
	PJS.PJ.SetPageable(NewInstancePDF.PDFPageable(PDF))
	
	Dim PRAS As PrintRequestAttributeSet = NewInstanceJavax.PrintRequestAttributeSet
	If mPrintRequestAttSet.IsInitialized Then PRAS = mPrintRequestAttSet
	#If Debug
	If PRAS.IsEmpty Then
		Result = PJS.PJ.Print_NoThread2(Null)
	Else
		Result = PJS.PJ.Print_NoThread2(PRAS)
	End If
	
	If Result = "OK" And mRequireFormFeed Then
		Dim FF As Print_FF
		FF.Initialize
		FFResult = FF.Print_NoThread(PJS.Service)
		
		Result = Result & " " & FFResult
	End If
	#Else
	If PRAS.IsEmpty Then
		Wait For (PJS.PJ.Print2(Null)) Complete (Result As String)
	Else
		Wait For (PJS.PJ.Print2(PRAS)) Complete (Result As String)
	End If
	
	If Result = "OK" And mRequireFormFeed Then
		Dim FF As Print_FF
		FF.Initialize
		Wait For(FF.Print(PJS.Service)) Complete (FFResult As String)
		
		Result = Result & " " & FFResult
	End If
	#End If
	
	Return Result
End Sub