﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.8
@EndOfDesignText@
'Code Module
Sub Process_Globals

End Sub

'Alpha interpolation hint value -- alpha blending algorithms are chosen by the implementation for a good tradeoff of performance vs. quality.
Public Sub VALUE_ALPHA_INTERPOLATION_DEFAULT As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_ALPHA_INTERPOLATION_DEFAULT")
End Sub

'Alpha interpolation hint value -- alpha blending algorithms are chosen with a preference for precision and visual quality.
Public Sub VALUE_ALPHA_INTERPOLATION_QUALITY As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_ALPHA_INTERPOLATION_QUALITY")
End Sub

'Alpha interpolation hint value -- alpha blending algorithms are chosen with a preference for calculation speed.
Public Sub VALUE_ALPHA_INTERPOLATION_SPEED As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_ALPHA_INTERPOLATION_SPEED")
End Sub

'Antialiasing hint value -- rendering is done with a default antialiasing mode chosen by the implementation.
Public Sub VALUE_ANTIALIAS_DEFAULT As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_ANTIALIAS_DEFAULT")
End Sub

'Antialiasing hint value -- rendering is done without antialiasing.
Public Sub VALUE_ANTIALIAS_OFF As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_ANTIALIAS_OFF")
End Sub

'Antialiasing hint value -- rendering is done with antialiasing.
Public Sub VALUE_ANTIALIAS_ON As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_ANTIALIAS_ON")
End Sub

'Color rendering hint value -- perform color conversion calculations as chosen by the implementation to represent the best available tradeoff between performance and accuracy.
Public Sub VALUE_COLOR_RENDER_DEFAULT As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_COLOR_RENDER_DEFAULT")
End Sub

'Color rendering hint value -- perform the color conversion calculations with the highest accuracy and visual quality.
Public Sub VALUE_COLOR_RENDER_QUALITY As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_COLOR_RENDER_QUALITY")
End Sub

'Color rendering hint value -- perform the fastest color conversion to the format of the output device.
Public Sub VALUE_COLOR_RENDER_SPEED As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_COLOR_RENDER_SPEED")
End Sub

'Dithering hint value -- use a default for dithering chosen by the implementation.
Public Sub VALUE_DITHER_DEFAULT As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_DITHER_DEFAULT")
End Sub

'Dithering hint value -- do not dither when rendering geometry.
Public Sub VALUE_DITHER_DISABLE As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_DITHER_DISABLE")
End Sub

'Dithering hint value -- dither when rendering geometry, if needed.
Public Sub VALUE_DITHER_ENABLE As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_DITHER_ENABLE")
End Sub

'Font fractional metrics hint value -- character glyphs are positioned with accuracy chosen by the implementation.
Public Sub VALUE_FRACTIONALMETRICS_DEFAULT As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_FRACTIONALMETRICS_DEFAULT")
End Sub

'Font fractional metrics hint value -- character glyphs are positioned with advance widths rounded to pixel boundaries.
Public Sub VALUE_FRACTIONALMETRICS_OFF As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_FRACTIONALMETRICS_OFF")
End Sub

'Font fractional metrics hint value -- character glyphs are positioned with sub-pixel accuracy.
Public Sub VALUE_FRACTIONALMETRICS_ON As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_FRACTIONALMETRICS_ON")
End Sub

'Interpolation hint value -- the color samples of 9 nearby integer coordinate samples in the image are interpolated using a cubic function in both X and Y to produce a color sample.
Public Sub VALUE_INTERPOLATION_BICUBIC As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_INTERPOLATION_BICUBIC")
End Sub

'Interpolation hint value -- the color samples of the 4 nearest neighboring integer coordinate samples in the image are interpolated linearly to produce a color sample.
Public Sub VALUE_INTERPOLATION_BILINEAR As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_INTERPOLATION_BILINEAR")
End Sub

'Interpolation hint value -- the color sample of the nearest neighboring integer coordinate sample in the image is used.
Public Sub VALUE_INTERPOLATION_NEAREST_NEIGHBOR As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_INTERPOLATION_NEAREST_NEIGHBOR")
End Sub

'Rendering hint value -- rendering algorithms are chosen by the implementation for a good tradeoff of performance vs. quality.
Public Sub VALUE_RENDER_DEFAULT As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_RENDER_DEFAULT")
End Sub

'Rendering hint value -- rendering algorithms are chosen with a preference for output quality.
Public Sub VALUE_RENDER_QUALITY As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_RENDER_QUALITY")
End Sub

'Rendering hint value -- rendering algorithms are chosen with a preference for output speed.
Public Sub VALUE_RENDER_SPEED As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_RENDER_SPEED")
End Sub

'Image resolution variant hint value -- the standard resolution of an image is always used.
Public Sub VALUE_RESOLUTION_VARIANT_BASE As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_RESOLUTION_VARIANT_BASE")
End Sub

'Image resolution variant hint value -- an image resolution variant is chosen based on a default heuristic which may depend on the policies of the platform
Public Sub VALUE_RESOLUTION_VARIANT_DEFAULT As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_RESOLUTION_VARIANT_DEFAULT")
End Sub

'Image resolution variant hint value -- an image resolution variant is chosen based only on the DPI of the screen.
Public Sub VALUE_RESOLUTION_VARIANT_DPI_FIT As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_RESOLUTION_VARIANT_DPI_FIT")
End Sub

'Image resolution variant hint value -- an image resolution variant is chosen based on the DPI of the screen and the transform in the Graphics2D context.
Public Sub VALUE_RESOLUTION_VARIANT_SIZE_FIT As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_RESOLUTION_VARIANT_SIZE_FIT")
End Sub

'Stroke normalization control hint value -- geometry may be modified or left pure depending on the tradeoffs in a given implementation.
Public Sub VALUE_STROKE_DEFAULT As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_STROKE_DEFAULT")
End Sub

'Stroke normalization control hint value -- geometry should be normalized to improve uniformity or spacing of lines and overall aesthetics.
Public Sub VALUE_STROKE_NORMALIZE As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_STROKE_NORMALIZE")
End Sub

'Stroke normalization control hint value -- geometry should be left unmodified and rendered with sub-pixel accuracy.
Public Sub VALUE_STROKE_PURE As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_STROKE_PURE")
End Sub

'Text antialiasing hint value -- text rendering is done according to the KEY_ANTIALIASING hint or a default chosen by the implementation.
Public Sub VALUE_TEXT_ANTIALIAS_DEFAULT As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_TEXT_ANTIALIAS_DEFAULT")
End Sub

'Text antialiasing hint value -- text rendering is requested to use information in the font resource which specifies for each point size whether to apply VALUE_TEXT_ANTIALIAS_ON or VALUE_TEXT_ANTIALIAS_OFF.
Public Sub VALUE_TEXT_ANTIALIAS_GASP As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_TEXT_ANTIALIAS_GASP")
End Sub

'Text antialiasing hint value -- request that text be displayed optimised for an LCD display with subpixels in order from display left to right of B,G,R such that the horizontal subpixel resolution is three times that of the full pixel horizontal resolution (HBGR).
Public Sub VALUE_TEXT_ANTIALIAS_LCD_HBGR As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_TEXT_ANTIALIAS_LCD_HBGR")
End Sub

'Text antialiasing hint value -- request that text be displayed optimised for an LCD display with subpixels in order from display left to right of R,G,B such that the horizontal subpixel resolution is three times that of the full pixel horizontal resolution (HRGB).
Public Sub VALUE_TEXT_ANTIALIAS_LCD_HRGB As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_TEXT_ANTIALIAS_LCD_HRGB")
End Sub

'Text antialiasing hint value -- request that text be displayed optimised for an LCD display with subpixel organisation from display top to bottom of B,G,R such that the vertical subpixel resolution is three times that of the full pixel vertical resolution (VBGR).
Public Sub VALUE_TEXT_ANTIALIAS_LCD_VBGR As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_TEXT_ANTIALIAS_LCD_VBGR")
End Sub

'Text antialiasing hint value -- request that text be displayed optimised for an LCD display with subpixel organisation from display top to bottom of R,G,B such that the vertical subpixel resolution is three times that of the full pixel vertical resolution (VRGB).
Public Sub VALUE_TEXT_ANTIALIAS_LCD_VRGB As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_TEXT_ANTIALIAS_LCD_VRGB")
End Sub

'Text antialiasing hint value -- text rendering is done without any form of antialiasing.
Public Sub VALUE_TEXT_ANTIALIAS_OFF As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_TEXT_ANTIALIAS_OFF")
End Sub

'Text antialiasing hint value -- text rendering is done with some form of antialiasing.
Public Sub VALUE_TEXT_ANTIALIAS_ON As Object
	Dim Tjo As JavaObject 
	Tjo.InitializeStatic("java.awt.RenderingHints")
	Return Tjo.GetField("VALUE_TEXT_ANTIALIAS_ON")
End Sub

